import Layout from '@/component/layout';
import './index.scss'
import { WebView as WxWebView } from '@tarojs/components';
import { useParams } from '@/component/routes/hooks/useParams';
import { useMemo } from 'react';
import ReduxUtil from '@/utils/reduxUtil';
import qs from 'qs';


export interface IWebViewParams {
    url: string
}

const WebView = () => {
    const params = useParams<IWebViewParams>();
    const url = useMemo(() => {
        let _url = decodeURIComponent(params.url);
        const userInfo = ReduxUtil.store.getState().userInfo!;
        let _qs = qs.stringify({ token: userInfo.token, phone: userInfo.userMobile, userId: userInfo.userId }, { encode: false });
        if (_url.indexOf("?") > -1) {
            _url += `&${_qs}`;
        }
        else {
            _url += `?${_qs}`;
        }
        return _url;
    }, [])
    console.log(555,url);
    return (
        <Layout>
            <WxWebView
                src={url} />
        </Layout>
    )
}

export default WebView;